---@class PlayerDetector
---@field getOnlinePlayers fun(): string[]
---@field getPlayer fun(name: string): PPlayer
---@field isPlayerInRange fun(range: number, name: string): boolean
---@field getPlayersInCubic fun(x : number, y: number, z: number): string[]
---@field getPlayersInRange fun(range: number): string[]


---@alias PPlayer {x: number, y: number, z: number, yaw: number, pitch: number, dimension: string, eyeHeight: number, health: number, maxHealth: number, airSupply: number, respawnPosition: Vec3, respawnDimension: string, respawnAngle: number}